---
spark_version: 3.4.0

keytab_location: "/etc/monit/monitops.keytab"
keytab_principal: "monitops@CERN.CH"

hadoop_cluster_name: "analytix"
hadoop_cluster_source: "analytix"

checkpoint_location: "analytix/project/monitoring/checkpoint"
schema_location: "analytix/project/monitoring/schema"

kafka_input_brokers_alias: "kafka-monit3.cern.ch"
kafka_output_brokers_alias: "kafka-monit3.cern.ch"
secure_kafka: True

kafka_topic_prefix: "monit-"
environment_prefix: ""
queue: "root.monitops"

command_line:
        - command: "export"
          parameters: ["PATH=$PATH:/usr/hdp/hadoop/bin"]
        - command: "source"
          parameters: ["/opt/hadoop/hadoop-setconf.sh", "${HADOOP_CLUSTER_SOURCE}"]
        - command: "kinit"
          parameters: ["-k", "-t", "${KEYTAB_LOCATION}", "${KEYTAB_PRINCIPAL}"]
